## octave-control 4.1.1

=== DESCRIPTION ===
Name: control
Version: 4.1.1
Date: 2025-02-09
Author: Lukas Reichlin <lukas.reichlin@gmail.com>
Maintainer: Doug Stewart <doug.dastew@gmail.com>, Torsten Lilge <ttl-octave@mailbox.org>
Title: Control Package
Description: Control package for GNU Octave including system analysis and
 control synthesis. The package uses routines of the SLICOT-Reference library.
Depends: octave (>= 4.0.0)
Autoload: no
License: GPLv3-or-later, BSD 3-Clause License (SLICOT files)
Url: https://github.com/gnu-octave/pkg-control
Tracker: https://github.com/gnu-octave/pkg-control/issues
