=== debian/changelog ===
octave-control (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1
  * d/copyright: reflect upstream changes
  * d/u/metadata: repository moved to GitHub
  * test-tolerance.patch: drop patch, applied upstream

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 14 Feb 2025 14:04:38 +0100
