## octave-control 4.1.2

=== debian/changelog ===
octave-control (4.1.2-1) experimental; urgency=medium
  [ Sébastien Villemot ]
  * New upstream version 4.1.2
  * lapack-3.10.0.patch: drop patch, no longer needed

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 22 May 2025 11:12:56 +0200
