=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-octave (>= 1.2.3),
                dh-sequence-octave,
                libslicot-dev (>= 5.8)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-control
