## octave-control 4.1.3

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 -include ./Makefile.conf
 
-MKOCTFILE ?= mkoctfile
-
+# the following vars for libs are only defined if mkoctfile is defined
+# and this file might be called without mkoctfile defined (clean, distclean) 
+ifdef MKOCTFILE
 ifndef LAPACK_LIBS
 LAPACK_LIBS := $(shell $(MKOCTFILE) -p LAPACK_LIBS)
 endif
@@ -12,6 +13,7 @@
 FLIBS := $(shell $(MKOCTFILE) -p FLIBS)
 endif
 LDFLAGS := $(shell $(MKOCTFILE) -p LDFLAGS) $(LAPACK_LIBS) $(BLAS_LIBS) $(FLIBS)
+endif
 
 # slicot relative to src directory, SC_SRC is the build directory
 SC      := slicot
@@ -30,8 +32,10 @@
 all: __control_slicot_functions__.oct \
      __control_helper_functions__.oct
 
-# if directly called from repository instead of distributed file structure,
-# copy required files into the slicot source directory.
+# For being able to directly call Makefile from repository instead of
+# distributed file structure, copy required files into the slicot
+# source directory. The file TB01ZD.f is removed afterwards because
+# there is an own version of this file using a different algorithm.
 
 # MA02ID.f : One exemplary file from SLICOT, if not present, other files
 #            are most probably missing as well. Copy all files from the
@@ -40,16 +44,17 @@
 	mkdir -p $(SC_SRC)
 	cp $(SC_SMOD)/src/*.f $(SC_SRC)
 	cp $(SC_SMOD)/src_aux/*.f $(SC_SRC)
+	$(RM) $(SC_SRC)/TB01ZD.f
 	./bootstrap && $(RM) -r "autom4te.cache"
 
 # TODO: Private oct-files for control package.
 
 # Compile SLICOT library
 #
-# Compile: $(SC_SRC)/*.f   (SLICOT files)
-#          ./TG04BX.f      own derived file
-#          $(SRC_AUX)/*.f  external sources like deprecated
-#                          LAPACK files
+# Compile: $(SC_SRC)/*.f                       (SLICOT files, copied above)
+#          $(SRC)/TG04BX.f $(SRC)/TB01ZD.f     own derived files
+#          $(SRC_AUX)/*.f                      external sources like
+#                                              deprecated LAPACK files
 #
 # MA02ID.f is compiled by an extra command
 # suppressing warnings on indexing errors
@@ -57,7 +62,7 @@
 slicotlibrary.a: slicot $(SC_SRC)/MA02ID.f
 	cd $(SC_SRC) && \
 	  $(MKOCTFILE) -w -c MA02ID.f; mv MA02ID.f x && \
-		$(MKOCTFILE) -c *.f $(SRC)/TG04BX.f $(SRC_AUX)/*.f && \
+		$(MKOCTFILE) -c *.f $(SRC)/TB01ZD.f $(SRC)/TG04BX.f $(SRC_AUX)/*.f && \
 		mv x MA02ID.f
 	$(AR) -rc slicotlibrary.a $(SC_SRC)/*.o
 
@@ -81,4 +86,4 @@
 ## remove according to GNU guidelines.
 ## https://www.gnu.org/prep/standards/html_node/Standard-Targets.html
 distclean: clean realclean
-	rm -f Makefile.conf config.h config.log config.status oct-alt-includes.h
+	$(RM) -f Makefile.conf config.h config.log config.status oct-alt-includes.h
