=== debian/changelog ===
octave-control (4.1.3-1) unstable; urgency=medium

  * New upstream version 4.1.3
  * d/p/test-tolerances.patch: Drop patch (applied upstream)
  * d/p/use-external-slicot.patch: Refresh for new usptream version
  * d/copyright: Reflect upstream changes
  * d/watch: Convert to version 5
  * d/rules: Remove useless directory /usr/share/octave/packages/control-*/doc/

 -- Rafael Laboissière <rafael@debian.org>  Sat, 13 Sep 2025 04:48:19 -0300

octave-control (4.1.2-2) unstable; urgency=medium

  * test-tolerances.patch: new patch for passing the testsuite on amd64
  * Drop “Rules-Requires-Root: no”, which is now the default

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 10 Aug 2025 17:53:51 +0200
