=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-control
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-control
 Architecture: any
