=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

execute_after_dh_installdeb:
	rm -rf debian/octave-control/usr/share/octave/packages/control-*/doc/
