=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/control/
Matching-Pattern: https://github.com/gnu-octave/pkg-control/releases/download/control-(?:\d[\-+\.:\~\da-zA-Z]*)/control-@ANY_VERSION@.tar.gz
