=== debian/changelog ===
octave-control (4.2.1-3) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/u/metadata: Add Changelog and Documentation fields

  [ Sébastien Villemot ]
  * test-tolerance.patch: new patch, needed for the testsuite on armhf

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 13 Feb 2026 15:24:42 +0100

octave-control (4.2.1-2) unstable; urgency=medium

  * d/p/use-external-slicot.patch: Adjust patch for using the custom
    version of TB01ZD.f (Closes: #1126261)
  * d/rules: Avoid blhc false positive on output of unit test

 -- Rafael Laboissière <rafael@debian.org>  Sat, 24 Jan 2026 11:36:52 +0000

octave-control (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * d/copyright: Reflect upstream changes
  * d/p/use-external-slicot.patch: Refresh for new upstream version
  * d/rules: Configure the sources before building
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3

 -- Rafael Laboissière <rafael@debian.org>  Fri, 23 Jan 2026 07:39:38 +0000

octave-control (4.1.3-2) unstable; urgency=medium

  * Rebuild against libslicot5

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 18 Nov 2025 10:08:41 +0100
